Download it now!
Bug 42779 - EasyHack: make life easier for artists
Summary: EasyHack: make life easier for artists
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Gábor Stefanik
URL:
Whiteboard: target:3.6.0
Keywords: difficultyInteresting, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2011-11-10 03:52 UTC by Michael Meeks
Modified: 2015-12-16 00:30 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2011-11-10 03:52:40 UTC
Currently if an artist wishes to do some icon theming they have to run some scripts when they save an image to re-pack (by zipping) their icon theme of interest, and then re-start LibreOffice. That is a bit of a pain.

It would be lovely if the icon loading code could support a look-aside directory tree beside the icon-theme, and preferentially load from there if it is present.

Currently we look in share/config/images.zip (for example). It would be wonderful to (one-off at startup) check if a share/config/images/ directory exists - and if so to resolve paths against this [ and also turn off icon caching so no re-load is necessary ].

The code is here, for image load:
http://cgit.freedesktop.org/libreoffice/core/tree/vcl/source/gdi/impimagetree.cxx#n195

and cache:
http://cgit.freedesktop.org/libreoffice/core/tree/vcl/source/gdi/impimagetree.cxx#n343

and to check if a directory exists we should use the sal/inc/osl/file.hxx code I think.
Comment 1 Gábor Stefanik 2012-04-27 20:43:14 UTC
Patch submitted, awaiting approval.
Comment 2 Not Assigned 2012-04-30 04:26:02 UTC
Gabor Stefanik committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1a33c664d7f7a0662b861fbafe3b93a2656bb768

fdo#42779: Implement icon theme lookaside directory
Comment 3 Not Assigned 2012-05-01 02:18:07 UTC
Gabor Stefanik committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a0fd9de70634ee42727690824bc1bef7ee7c7eab

fdo#42779 followup: Do not check for icons in nonexistent lookaside directory.
Comment 4 Robinson Tryon (qubit) 2015-12-16 00:30:30 UTC
Migrating Whiteboard tags to Keywords: (EasyHack,DifficultyInteresting,SkillCpp,TopicCleanup )
[NinjaEdit]